Summary: Advanced Power Management (APM) BIOS utilities
Name: apmd
Version: 2.4
Release: 3
Source: ftp://ftp.cs.unc.edu/pub/users/faith/linux/apmd-2.4.tar.gz
Patch1: http://www.cut.de/bkr/linux/apmd/apmd.c.diff
Patch2: apm.c-diff
Copyright: GPL
Group: Utilities/System
Packager: Jan "Yenya" Kasprzak <kas@fi.muni.cz>

%description
This is a Advanced Power Management daemon and utilities.
It can watch your notebook's battery and warn all users when the battery
is low.

I have added an unofficial patch for shutting down the PCMCIA sockets
before a suspend.

%changelog
* Thu Oct  2 1997 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
	Fixed buggy /etc/sysconfig/apmd file generation in the spec file.
	Added a patch for apm.c's option handling.
	Both fixes were submitted by Richard D. McRobers <rdm@csn.net>

%prep
%setup
%patch1
%patch2 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -I/usr/X11R6/include" LDFLAGS=-s

%install
%doc ANNOUNCE ChangeLog README LSM
make install
cat <<'EOF' >/etc/rc.d/init.d/apmd.init
#!/bin/sh
#

CONFIG=/etc/sysconfig/apmd
# Source function library.
. /etc/rc.d/init.d/functions

# See how we were called.
case "$1" in
  start)
	echo -n "Starting up APM daemon: "
	test -r "$CONFIG" && . "$CONFIG"
	daemon /usr/sbin/apmd $APMD_OPTIONS
	touch /var/lock/subsys/apmd
	echo
	;;
  stop)
	echo -n "Shutting down APM daemon: "
	killproc apmd
	rm -f /var/lock/subsys/apmd
	echo
	;;
  *)
	echo "Usage: apmd.init {start|stop}"
	exit 1
esac

exit 0
EOF
chmod 755 /etc/rc.d/init.d/apmd.init

cat <<'EOF' >/etc/sysconfig/apmd
APMD_OPTIONS="-p 10 -w 5 -W"
EOF
chmod 644 /etc/sysconfig/apmd
ln -sf ../init.d/apmd.init /etc/rc.d/rc0.d/K92apmd
ln -sf ../init.d/apmd.init /etc/rc.d/rc1.d/K92apmd
ln -sf ../init.d/apmd.init /etc/rc.d/rc6.d/K92apmd
ln -sf ../init.d/apmd.init /etc/rc.d/rc2.d/S05apmd
ln -sf ../init.d/apmd.init /etc/rc.d/rc3.d/S05apmd
ln -sf ../init.d/apmd.init /etc/rc.d/rc4.d/S05apmd
ln -sf ../init.d/apmd.init /etc/rc.d/rc5.d/S05apmd
%files
/usr/X11R6/bin/xapm
/usr/X11R6/man/man1/xapm.1x
/usr/bin/apm
/usr/bin/tailf
/usr/include/apm.h
/usr/lib/libapm.a
/usr/man/man1/apm.1
/usr/man/man1/tailf.1
/usr/man/man8/apmd.8
/usr/sbin/apmd
/etc/rc.d/init.d/apmd.init
/etc/rc.d/rc0.d/K92apmd
/etc/rc.d/rc1.d/K92apmd
/etc/rc.d/rc6.d/K92apmd
/etc/rc.d/rc2.d/S05apmd
/etc/rc.d/rc3.d/S05apmd
/etc/rc.d/rc4.d/S05apmd
/etc/rc.d/rc5.d/S05apmd
%config /etc/sysconfig/apmd
